Bug 813726 - Push fail is not displayed in the conductor
Push fail is not displayed in the conductor
Status: ASSIGNED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 06:20 EDT by Rehana
Modified: 2014-01-05 13:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrng_tpl (344 bytes, application/vnd.groove-tool-template)
2012-04-18 06:20 EDT, Rehana
no flags Details
UI (210.06 KB, image/png)
2012-04-18 06:21 EDT, Rehana
no flags Details
no error (216.58 KB, image/png)
2012-05-08 02:04 EDT, Rehana
no flags Details

  None (edit)
Description Rehana 2012-04-18 06:20:34 EDT
Created attachment 578307 [details]
wrng_tpl

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Given a wrng URL format in the template file(PFA:wrng_tpl)
2.The image push failed with the below error from imagefactory.
3.
  
image factor log:
2012-04-18 06:13:42,501 DEBUG imgfac.ImageWarehouse.ImageWarehouse thread(worker 7) Message: Querying (http://localhost:9090/target_images/_query) with expression ($build == "46946f70-35d7-4fbe-871a-30ab075b5449" && $target == "ec2")
2012-04-18 06:13:42,505 DEBUG imgfac.ImageWarehouse.ImageWarehouse thread(worker 7) Message: Getting metadata (['template']) from http://localhost:9090/target_images/f73a51bc-d499-4379-8fd2-6f9c0e4fa6d1
2012-04-18 06:13:42,508 DEBUG imgfac.ImageWarehouse.ImageWarehouse thread(worker 7) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2012-04-18 06:13:42,512 DEBUG imgfac.ImageWarehouse.ImageWarehouse thread(worker 7) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2012-04-18 06:13:42,514 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder thread(worker 7) Message: Found neither a call-time config nor a config file - doing nothing
2012-04-18 06:13:42,516 DEBUG oz.Guest.RHEL6RemoteGuest thread(2f0ca619) Message: Install URL validation failed on exception
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/oz/Guest.py", line 204, in __init__
    self.url = self._check_url(iso=iso_allowed, url=url_allowed)
  File "/usr/lib/python2.6/site-packages/oz/RedHat.py", line 810, in _check_url
    response = urllib2.urlopen(url)
  File "/usr/lib64/python2.6/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib64/python2.6/urllib2.py", line 389, in open
    req = meth(req)
  File "/usr/lib64/python2.6/urllib2.py", line 1096, in do_request_
    raise URLError('no host given')
URLError: <urlopen error no host given>
2012-04-18 06:13:42,517 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder thread(2f0ca619) Message: Exception caught in ImageFactory
2012-04-18 06:13:42,518 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder thread(2f0ca619) Message: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 456, in push_image
    self.init_guest("remote")
  File "/usr/lib/python2.6/site-packages/imgfac/builders/RHEL6_ec2_Builder.py", line 44, in init_guest
    self.guest = RHEL6RemoteGuest(self.tdlobj, self.oz_config, None)
  File "/usr/lib/python2.6/site-packages/imgfac/builders/RHEL6_ec2_Builder.py", line 24, in __init__
    oz.RHEL_6.RHEL6Guest.__init__(self, tdl, config, auto)
  File "/usr/lib/python2.6/site-packages/oz/RHEL_6.py", line 35, in __init__
    "cpio")
  File "/usr/lib/python2.6/site-packages/oz/RedHat.py", line 42, in __init__
    None, None, diskbus, iso_allowed, url_allowed)
  File "/usr/lib/python2.6/site-packages/oz/Guest.py", line 1181, in __init__
    mousetype, diskbus, iso_allowed, url_allowed)
  File "/usr/lib/python2.6/site-packages/oz/Guest.py", line 207, in __init__
    raise oz.OzException.OzException("Install URL validation failed")
OzException: Install URL validation failed

Actual result:
Observed that "push" button was enabled again, with out displaying any error like(1 push attempt failed or so)

Expected results:
Failure should be displayed on the condcutor.


Additional info:

rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.9-1.el6.noarch
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-0.8.9-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.9-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-daemons-0.8.9-1.el6.noarch
Comment 1 Rehana 2012-04-18 06:21:33 EDT
Created attachment 578308 [details]
UI
Comment 2 Rehana 2012-05-08 01:56:55 EDT
Sorry for not being more specific on description.

For vsphere/Rhevm cloud, by using this template , image build itself gets failed. 
BUT for ec2 account, the image build was success, and push failed with the same error but it DIDNOT show 1 push attempt failed error msg on Conductor.


on:
rpm -qa | grep aeolus
aeolus-conductor-0.8.13-1.el6_2.noarch
aeolus-configure-2.5.3-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-all-0.8.13-1.el6_2.noarch
aeolus-conductor-doc-0.8.13-1.el6_2.noarch
aeolus-conductor-daemons-0.8.13-1.el6_2.noarch

so marking this bug to assigned.
Comment 3 Rehana 2012-05-08 02:04:13 EDT
Created attachment 582859 [details]
no error

Attaching the screen shot

Note You need to log in before you can comment on or make changes to this bug.